%define waddir  %{_datadir}/doom

Name:           prboom
Version:        2.4.1
Release:        2%{?dist}
Summary:        Open source port of the DOOM game engine

Group:          Amusements/Games
License:        GPL
URL:            http://prboom.sourceforge.net/
Source0:        http://dl.sourceforge.net/prboom/prboom-2.4.1.tar.gz
Patch0:         prboom-2.4.1-gamedir.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  SDL_mixer-devel SDL_net-devel
Requires:       freedoom

%description
prboom is an open-source port of Doom, the classic 3D first-person shooter
game.  It totally outclassed any 3D world games that preceded it, with amazing
speed, flexibility, and outstanding gameplay. The specs to the game were
released, and thousands of extra levels were written by fans of the game; even
today new levels are written for Doom faster then any one person could play
them. 

%prep
%setup -q
%patch0 -p1

%build
# Build twice.  The first time with opengl support, the second time without.
%configure --enable-gl --disable-cpu-opt --program-prefix=''
make %{?_smp_mflags}
mv src/prboom src/prboom-gl

make clean

%configure --disable-cpu-opt --program-prefix=''
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall

# Move the binaries out of the crufty /usr/games directory
mkdir -p $RPM_BUILD_ROOT/%{_bindir}
mv $RPM_BUILD_ROOT/usr/games/* $RPM_BUILD_ROOT/%{_bindir}
mkdir -p $RPM_BUILD_ROOT/%{waddir}
mv $RPM_BUILD_ROOT/%{_datadir}/games/doom/%{name}.wad $RPM_BUILD_ROOT/%{waddir}

# Copy the renamed OpenGL binary to the bindir
install -p -m 755 src/prboom-gl $RPM_BUILD_ROOT/%{_bindir}

# Remove the doc files that will get picked up in the files
# section below.
rm -rf $RPM_BUILD_ROOT/%{_docdir}


%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%{_bindir}/prboom-gl
%{_bindir}/prboom
%{_bindir}/prboom-game-server
%dir %{waddir}
%{waddir}/prboom.wad
%{_mandir}/man5/*
%{_mandir}/man6/*
%doc NEWS AUTHORS README COPYING
%doc doc/README.compat doc/README.demos doc/MBF.txt doc/MBFFAQ.txt doc/boom.txt

%changelog
* Sat Apr 22 2006 Wart <wart at kobold.org> 2.4.1-2
- Build both opengl and non-opengl binaries.

* Tue Apr 18 2006 Wart <wart at kobold.org> 2.4.1-1
- Update to 2.4.1

* Sat Mar 18 2006 Wart <wart at kobold.org> 2.3.1-5
- Updated patches to fix segfault on i386 (BZ #185741)

* Tue Mar 14 2006 Wart <wart at kobold.org> 2.3.1-4
- Added patch to fix up some x86_64 issues

* Mon Mar 13 2006 Wart <wart at kobold.org> 2.3.1-3
- Once again, change the default wad dir to datadir/doom (see discussion on
  bz #185211)

* Sun Mar 12 2006 Wart <wart at kobold.org> 2.3.1-2
- Replace datadir/games/doom with datadir/prboom in the files section.

* Sat Mar 11 2006 Wart <wart at kobold.org> 2.3.1-1
- Initial package for Fedora Extras
